<?xml version="1.0" encoding="utf-8"?>
<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>

        <item name="android:windowBackground">@color/color_F5</item>
        <item name="android:windowIsTranslucent">false</item>
        <item name="android:windowDisablePreview">true</item>
        <item name="android:backgroundDimEnabled">false</item>
        <!--<item name="android:windowBackground">@android:color/transparent</item>-->
    </style>


<!--    <style name="LeftPopAnim" parent="@android:style/Animation.Activity">-->
<!--        <item name="android:windowEnterAnimation">@anim/left_in</item>-->
<!--        <item name="android:windowExitAnimation">@anim/left_out</item>-->
<!--    </style>-->

    <style name="TextStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColor">#969696</item>
        <item name="android:textSize">16sp</item>
    </style>

    <!-- 标准的dialog的样式 -->
    <style name="MyBaseDialog" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item><!-- 窗框 -->
        <item name="android:windowIsFloating">true</item><!-- 窗口浮动 -->
        <item name="android:windowIsTranslucent">@null</item><!-- 窗口半透明 -->
        <item name="android:windowNoTitle">true</item><!-- 窗口没有标题 -->
        <item name="android:windowBackground">@android:color/transparent</item><!-- 背景的颜色 -->
        <item name="android:backgroundDimEnabled">true</item><!--activity变暗-->
        <item name="android:windowContentOverlay">@null</item><!-- 窗口内容覆盖 -->
    </style>

    <!-- 用于弹出底部弹窗的样式 -->
    <style name="BottomAnim" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/anim_bottom_in</item>
        <item name="android:windowExitAnimation">@anim/anim_bottom_out</item>
    </style>

    <style name="BaseDialog" parent="android:Theme.Light">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>


    <declare-styleable name="CircleBarView">
        <attr name="progress_color1" format="reference|color"></attr>
        <attr name="progress_color2" format="reference|color"></attr>
        <attr name="progress_color3" format="reference|color"></attr>
        <attr name="bg_color" format="color"></attr>
        <attr name="bar_width" format="dimension"></attr>
        <attr name="circle_width" format="dimension"></attr><!--背景圆弧宽度 -->
        <attr name="circle_height" format="dimension"></attr><!--背景圆弧高度 -->
        <attr name="anchor_radius" format="dimension"></attr>
        <attr name="anchor_bg_radius" format="dimension"></attr>
        <attr name="anchor_color" format="reference|color"></attr>
        <attr name="anchor_bg_color" format="reference|color"></attr>
        <attr name="progress_max" format="integer"></attr>
    </declare-styleable>
    <declare-styleable name="CircleTextView">
        <attr name="paddingRing2Bg" format="dimension"></attr>
        <attr name="ringStrokeWidth" format="dimension"></attr>
        <attr name="ringColor1" format="reference|color"></attr>
        <attr name="ringColor2" format="reference|color"></attr>
        <attr name="bgColor1" format="reference|color"></attr>
        <attr name="bgColor2" format="reference|color"></attr>
    </declare-styleable>
</resources>